# useGetOwners/EnrichedOwners

## Description of useGetOwners

It's typically used in the process of getting the list of address that are owners of the wallet.

## Returns

* **data** (`Address[ | undefined`): Returns the array of owners addresses.
* **isLoading** (`boolean`): A boolean indicating whether the data is currently being fetched.
* **error** (`Error | null`): An error object if an error occurred during the fetching process, otherwise `null`.

## Description of useGetEnrichedOwners

It gives your the list of owners of the wallet with additional information for specific signers like passkeys (device used for the creation, creation date...)

## Type

EnrichedOwners:&#x20;

* address
* deviceData (browser, os, platform)
* creationDate

## Returns

* **data** (`Address[ | undefined`): Returns the array of owners addresses.
* **isLoading** (`boolean`): A boolean indicating whether the data is currently being fetched.
* **error** (`Error | null`): An error object if an error occurred during the fetching process, otherwise `null`.

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cometh.io/integrations/react-hooks/handle-owners/usegetowners-enrichedowners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
